package com.xueyi.system.meeting.constant;

import java.util.HashMap;
import java.util.Map;

public class VisitRecordStatus {

    final static int RECORD_STATUS_START = 0;
    final static int RECORD_STATUS_ADMIN_PASS = 1;
    final static int RECORD_STATUS_ESTATE_PASS = 2;
    final static int RECORD_STATUS_ADMIN_FIXED_PASS = 3;
    final static int RECORD_STATUS_ADMIN_NOT_PASS = 4;
    final static int RECORD_STATUS_ESTATE_NOT_PASS = 5;
    final static int RECORD_STATUS_VISITOR_VISITED = 8;
    final static int RECORD_STATUS_EXPIRE = 9;


    final static int RESULT_AGREE = 1;
    final static int RESULT_NOT_AGREE = 0;

    public static int getRecordStatusStart() {
        return RECORD_STATUS_START;
    }

    public static int getRecordStatusAdminPass() {
        return RECORD_STATUS_ADMIN_PASS;
    }

    public static int getRecordStatusAdminFixedPass() {
        return RECORD_STATUS_ADMIN_FIXED_PASS;
    }

    public static int getRecordStatusEstatePass() {
        return RECORD_STATUS_ESTATE_PASS;
    }

    public static int getRecordStatusAdminNotPass() {
        return RECORD_STATUS_ADMIN_NOT_PASS;
    }

    public static int getRecordStatusEstateNotPass() {
        return RECORD_STATUS_ESTATE_NOT_PASS;
    }

    public static int getResultAgree() {
        return RESULT_AGREE;
    }

    public static int getResultNotAgree() {
        return RESULT_NOT_AGREE;
    }

    public static int getRecordStatusVisitorVisited() {
        return RECORD_STATUS_VISITOR_VISITED;
    }

    public static int getRecordStatusExpire() {
        return RECORD_STATUS_EXPIRE;
    }

    public static Map<String, Integer> all(){


        HashMap map = new HashMap();
        map.put("RESULT_NOT_AGREE", RESULT_NOT_AGREE);
        map.put("RESULT_AGREE", RESULT_AGREE);
        map.put("RECORD_STATUS_ESTATE_NOT_PASS", RECORD_STATUS_ESTATE_NOT_PASS);
        map.put("RECORD_STATUS_ADMIN_NOT_PASS", RECORD_STATUS_ADMIN_NOT_PASS);
        map.put("RECORD_STATUS_ESTATE_PASS", RECORD_STATUS_ESTATE_PASS);
        map.put("RECORD_STATUS_ADMIN_FIXED_PASS", RECORD_STATUS_ADMIN_FIXED_PASS);
        map.put("RECORD_STATUS_ADMIN_PASS", RECORD_STATUS_ADMIN_PASS);
        map.put("RECORD_STATUS_START", RECORD_STATUS_START);
        map.put("RECORD_STATUS_VISITOR_VISITED", RECORD_STATUS_VISITOR_VISITED);
        map.put("RECORD_STATUS_EXPIRE", RECORD_STATUS_EXPIRE);
        return map;
    }

    public static Map<Integer, String> getCnStatusTxt(){
        HashMap map = new HashMap();
        map.put(RECORD_STATUS_ESTATE_NOT_PASS, "物业审核未通过");
        map.put(RECORD_STATUS_ADMIN_NOT_PASS, "公司审核未通过");
        map.put(RECORD_STATUS_ESTATE_PASS, "审核通过");//最终审核通过结果
        map.put(RECORD_STATUS_ADMIN_PASS, "待物业审核");
        map.put(RECORD_STATUS_ADMIN_FIXED_PASS, "审核通过(修)");//自行处理停车问题
        map.put(RECORD_STATUS_START, "待审核");
        map.put(RECORD_STATUS_VISITOR_VISITED, "已到访");
        map.put(RECORD_STATUS_EXPIRE, "已过期");
        return map;
    }

    public static Map<Integer, String> getHandleResultTxt(){
        HashMap map = new HashMap();
        map.put(RESULT_NOT_AGREE, "未通过");
        map.put(RESULT_AGREE, "通过");
        return map;
    }
}
